Subject: [bug#53394] [PATCH] gnu: Openbox: Make compatible with Python 3.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 29 Mar 2022 12:06:24 +0200

Leo, Vinicius,

What’s the status of this patch?  Looks like it was almost ready.

Thanks,
Ludo’.

Vinicius Monego <[email-masked]> skribis:

> Em qui, 2022-01-20 às 13:11 -0500, Leo Famulari escreveu:
>> As the patch file says, Openbox seems abandoned upstream. So, as
>> Python 2 is
>> phased out, we can either use a patch like this, or remove Openbox.
>> 
>> I rebuilt all affected packages on x86_64-linux, and there were no
>> new build
>> failures, only the same failures as before this patch:
>> 
>> kdepim-runtime-20.04.1
>> kmail-20.04.1
>> akregator-20.04.1
>> scorep-openmpi-3.1
>> smb4k-3.0.6
>> 
>
> [...]
>
> I noticed that with 'python' the shebang in libexec/openbox-xdg-
> autostart becomes '#!/usr/bin/env python' while with python-wrapper it
> changes to the store path.
>
> I also 'cat' that file and the code is still in Python 2. Can you check
> this?
>
> openbox.scm is missing the copyright line, and python2-xdg should be
> changed to python-xdg. There are trailing whitespaces in the patch.